import aiohttp
import os
import client
import asyncio

from next.ext.commands import DefaultHelpCommand
from sys import exit


async def main():
    async with aiohttp.ClientSession() as session:
        token = os.getenv("BOT_TOKEN")
        if token is None:
            print("Environment variable BOT_TOKEN is not set. Exiting.")
            exit(1)
        c = client.Client(session, token)
        c.help_command = DefaultHelpCommand("Available commands")
        print("Starting client...")
        await c.start()


asyncio.run(main())
